> ## Documentation Index
> Fetch the complete documentation index at: https://docs.happyuptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status page

Retrieve a status page with its components.

# Get status page

GET `/status-pages/:id`

Get status page with components.

**Auth:** Bearer token (`read` scope)

## Request

```bash
curl -H "Authorization: Bearer hu_..." \
  "https://happyuptime.com/api/v1/status-pages/sp_001"
```

## Response

```json
{
  "data": {
    "id": "sp_001",
    "name": "Acme Status",
    "slug": "acme",
    "template": "minimal",
    "is_published": true,
    "brand_color": "#059669",
    "components": [
      {
        "id": "comp_001",
        "name": "Web App",
        "description": "Main web application",
        "monitor_id": "mon_abc123",
        "status": "operational",
        "position": 0
      },
      {
        "id": "comp_002",
        "name": "API",
        "description": "REST API",
        "monitor_id": "mon_def456",
        "status": "operational",
        "position": 1
      }
    ],
    "created_at": "2026-03-01T10:00:00Z"
  }
}
```